telnet localhost 3306 не фурычит

Список разделов Общие разделы Оффтопик

Описание: Здесь можно обсудить всё, что не связано с тематикой сайта.
Модератор: Поддержка

Сообщение #1 ЖЪРЧИК » 24.08.2015, 16:09

Речь идет о локальном сервере и невозможности подключения MySQL.
Пишет сбой подключения. У Скайпа убрал галку "подкл через 80 и 443". Дайте совет где искать.
Такая же проблема: http://php.ru/forum/viewtopic.php?t=49907
Windows 8.1 х64
Что то в реестре не так может быть, брандмауэром удалял настройки. Кто шарит в сетях на этом уровне?

простынь
На опен сервере не запустилась копия:
Код: Выделить всё
2015-08-24 15:01:31  Запуск MySQL-5.5
2015-08-24 15:01:31  Запуск Apache-2.4
2015-08-24 15:01:31  Проверка состояния сервера
2015-08-24 15:02:05  Не удалось запустить MySQL-5.5
2015-08-24 15:02:05  Сбой запуска!
2015-08-24 15:02:05  --------------------------------------------
2015-08-24 15:02:05  Начало процедуры остановки сервера

Мускл пишет:
Код: Выделить всё
w:\modules\database\MySQL-5.5\bin\mysqld.exe, Version: 5.5.41-log (MySQL Community Server (GPL)). started with:
TCP Port: 3306, Named Pipe: (null)
Time                 Id Command    Argument
Код: Выделить всё
150824 15:01:35 [Note] Plugin 'FEDERATED' is disabled.
w:\modules\database\MySQL-5.5\bin\mysqld.exe: Table 'mysql.plugin' doesn't exist
150824 15:01:35 [ERROR] Can't open the mysql.plugin table. Please run mysql_upgrade to create it.
150824 15:01:35 InnoDB: The InnoDB memory heap is disabled
150824 15:01:35 InnoDB: Mutexes and rw_locks use Windows interlocked functions
150824 15:01:35 InnoDB: Compressed tables use zlib 1.2.3
150824 15:01:35 InnoDB: Initializing buffer pool, size = 20.0M
150824 15:01:35 InnoDB: Completed initialization of buffer pool
150824 15:01:36 InnoDB: highest supported file format is Barracuda.
InnoDB: Log scan progressed past the checkpoint lsn 8542659
150824 15:01:36  InnoDB: Database was not shut down normally!
InnoDB: Starting crash recovery.
InnoDB: Reading tablespace information from the .ibd files...
InnoDB: Restoring possible half-written data pages from the doublewrite
InnoDB: buffer...
InnoDB: Doing recovery: scanned up to log sequence number 8548364
150824 15:01:38  InnoDB: Starting an apply batch of log records to the database...
InnoDB: Progress in percents: 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99
InnoDB: Apply batch completed
InnoDB: Last MySQL binlog file position 0 208491, file name .\mysql-bin.000023
150824 15:01:39  InnoDB: Waiting for the background threads to start
150824 15:01:40 InnoDB: 5.5.41 started; log sequence number 8548364
150824 15:01:40 [Note] Recovering after a crash using mysql-bin
150824 15:01:40 [Note] Starting crash recovery...
150824 15:01:40 [Note] Crash recovery finished.
150824 15:01:40 [Note] Server hostname (bind-address): '127.0.0.1'; port: 3306
150824 15:01:40 [Note]   - '127.0.0.1' resolves to '127.0.0.1';
150824 15:01:40 [Note] Server socket created on IP: '127.0.0.1'.
150824 15:01:40 [ERROR] Fatal error: Can't open and lock privilege tables: Table 'mysql.host' doesn't exist

Как лечить? Пишет мускл апгрейт
плешивый кот
ЖЪРЧИК
Автор темы, Гуру
Аватара
Репутация: 174
С нами: 7 лет 5 месяцев

Сообщение #2 sag-sag » 24.08.2015, 17:46

ЖЪРЧИК, а нелегче ли open server или xampp использовать? Сам ими пользовался когда то... И сайт держал)
Заметки администратора [TEHADM.RU]
sag-sag M
Гуру
Аватара
Возраст: 35
Репутация: 411
С нами: 8 лет 5 месяцев

Сообщение #3 ЖЪРЧИК » 24.08.2015, 17:47

sag-sag:open server
речь о нем. А конкретнее о модуле MySQL

Добавлено спустя 46 минут 29 секунд:
Проблема решена добавлением в my.ini
Код: Выделить всё
skip-grant-tables
дело почему то было в каких то правах доступа и они почему то сбросились.
плешивый кот
ЖЪРЧИК
Автор темы, Гуру
Аватара
Репутация: 174
С нами: 7 лет 5 месяцев

Сообщение #4 Sumanai » 24.08.2015, 19:22

Может просто переставить, чем отключать права доступа?
Использование поиска продлевает жизнь.
Это форум поддержки форка phpBBex. Поддержка по phpBB осуществляется в других местах.
Sumanai M
Гуру
Аватара
Репутация: 1677
С нами: 9 лет

Сообщение #5 ЖЪРЧИК » 24.08.2015, 19:29

Sumanai:Может просто переставить, чем отключать права доступа?
Такая же хрень произошла и на другом дистрибутиве, наверное виндовс-антивирус хулиганил. Но так и не выяснил точной причины внедрения других прог (скайп может или брандмауер). Порты слушал на предмет троянов, вирусов.
Потом попробую переустановить, но опасаюсь рецидива.

Добавлено спустя 7 минут 55 секунд:
Вот лог с ключом:
Код: Выделить всё
150824 19:35:37 [Note] Plugin 'FEDERATED' is disabled.
150824 19:35:37 InnoDB: The InnoDB memory heap is disabled
150824 19:35:37 InnoDB: Mutexes and rw_locks use Windows interlocked functions
150824 19:35:37 InnoDB: Compressed tables use zlib 1.2.3
150824 19:35:37 InnoDB: Initializing buffer pool, size = 20.0M
150824 19:35:37 InnoDB: Completed initialization of buffer pool
150824 19:35:37 InnoDB: highest supported file format is Barracuda.
150824 19:35:38  InnoDB: Waiting for the background threads to start
150824 19:35:39 InnoDB: 5.5.41 started; log sequence number 8548364
150824 19:35:39 [Note] Recovering after a crash using mysql-bin
150824 19:35:39 [Note] Starting crash recovery...
150824 19:35:39 [Note] Crash recovery finished.
150824 19:35:39 [Note] Server hostname (bind-address): '127.0.0.1'; port: 3306
150824 19:35:39 [Note]   - '127.0.0.1' resolves to '127.0.0.1';
150824 19:35:39 [Note] Server socket created on IP: '127.0.0.1'.
150824 19:35:39 [Warning] Can't open and lock time zone table: Table 'mysql.time_zone_leap_second' doesn't exist trying to live without them
150824 19:35:39 [ERROR] Can't open and lock privilege tables: Table 'mysql.servers' doesn't exist
150824 19:35:39 [Note] w:\modules\database\MySQL-5.5\bin\mysqld.exe: ready for connections.
Version: '5.5.41-log'  socket: ''  port: 3306  MySQL Community Server (GPL)
Тоже подругивается.
плешивый кот
ЖЪРЧИК
Автор темы, Гуру
Аватара
Репутация: 174
С нами: 7 лет 5 месяцев

Сообщение #6 Sumanai » 24.08.2015, 19:56

Вообще все эти локальные серверы- суррогаты по сути, там много чего иначе. Лучше поставить Oracle VM VirtualBox, туда любой серверный люнукс и нужные проги, расшарить её в сеть хоста и использовать как настоящий сервер, только под боком. При запуске в режиме без гуя его вообще не видно.
Использование поиска продлевает жизнь.
Это форум поддержки форка phpBBex. Поддержка по phpBB осуществляется в других местах.
Sumanai M
Гуру
Аватара
Репутация: 1677
С нами: 9 лет

Сообщение #7 ЖЪРЧИК » 24.08.2015, 20:04

Sumanai, попробую. А что из готового дистрибутива с набором посоветуешь?

Добавлено спустя 5 минут 27 секунд:
http://habrahabr.ru/post/126944/
У блин, тут месяц уйдет. :biggrin:
плешивый кот
ЖЪРЧИК
Автор темы, Гуру
Аватара
Репутация: 174
С нами: 7 лет 5 месяцев

Сообщение #8 Sumanai » 24.08.2015, 20:18

ЖЪРЧИК:А что из готового дистрибутива с набором посоветуешь?
Да хоть Ubuntu. Установка поняткая, поставь галочки на LAMP и будет всё готовенькое.
ЖЪРЧИК:У блин, тут месяц уйдет. :biggrin:
Статья 2011 года ну очень актуальна в 2015!
Использование поиска продлевает жизнь.
Это форум поддержки форка phpBBex. Поддержка по phpBB осуществляется в других местах.
Sumanai M
Гуру
Аватара
Репутация: 1677
С нами: 9 лет

Сообщение #9 sag-sag » 24.08.2015, 21:19

Не надо заморачиваться. Ставите Виртуалбокс.
На нем поднимаете виртуалку и ставите Debian (версию 7.8.0. 8 версию пока VestaCP не поддерживает). Ставите VestaCP. Все ставиться без проблем. У самого так стоит.

Но для тестов дома, не советую это ставить. Советую использовать то, что написал выше, а именно: Open Server и не мучиться. Сам лично им пользовался.

Почему советую: потому чт осам начинал держать сайты на XamPP, Open Server. Потом уже на более серьезное перешел.

Добавлено спустя 18 минут 57 секунд:
Если интересно то у себя на сайте делал заметки по XAMPP и Open Server
Заметки администратора [TEHADM.RU]
sag-sag M
Гуру
Аватара
Возраст: 35
Репутация: 411
С нами: 8 лет 5 месяцев

Сообщение #10 ЖЪРЧИК » 24.08.2015, 21:58

Да линупсы мне нужны были бы, если бы дедик был. А так юзаю опен сервер Архипова
плешивый кот
ЖЪРЧИК
Автор темы, Гуру
Аватара
Репутация: 174
С нами: 7 лет 5 месяцев

Сообщение #11 sag-sag » 24.08.2015, 22:25

ЖЪРЧИК:Да линупсы мне нужны были бы, если бы дедик был.
ну мои два сайта вертятся на собранной железке, очень удобно. И арендовать не надо.

ЖЪРЧИК:А так юзаю опен сервер Архипова
лучшее что есть, для этих целей. У меня в свое время ток одна проблема с ним была. Разработчик подключался и помогал решать. Не любит Open Server запуск от имени администратора. А так все остальное было отлично.
Заметки администратора [TEHADM.RU]
sag-sag M
Гуру
Аватара
Возраст: 35
Репутация: 411
С нами: 8 лет 5 месяцев

Сообщение #12 ЖЪРЧИК » 25.08.2015, 15:04

Sumanai:Может просто переставить, чем отключать права доступа?
переустановка временно помогла. Ошибка вызывается после бекапа средствами движка. Права может какие сбрасываются.
Написал для будущих читателей из поисковиков.
плешивый кот
ЖЪРЧИК
Автор темы, Гуру
Аватара
Репутация: 174
С нами: 7 лет 5 месяцев

Сообщение #13 Пользователь ПК » 15.12.2016, 23:18

Приветствую Вас почтенные пользователи сия ресурса!
Начну пожалуй рыдать
    Первое
Спойлер
Warning: require(./includes/startup.php): failed to open stream: Отказано в доступе in /home/pratos/WWW/IP_World.cd/common.php on line 23

Fatal error: require(): Failed opening required './includes/startup.php' (include_path='.:/opt/lampp/lib/php') in /home/pratos/WWW/IP_World.cd/common.php on line 23
    Второе
My System: Host: Linux, Kernel: 4.4.0-53-generic x86_64, (64 bit, gcc: 4.8.4), Desktop: XFCE 4.12, Distro: Ubuntu 14.04 trusty
    Третье
Установлен XAMPP для Linux 5.6.28

На файл common.php выставлены права 777.
Что мне мешает продолжить не пойму!
Помогите пожалуйста! :help:

======================================================

Скачал версию 1.9.1 - всё завелось! :spy:
Пользователь ПК
Новичок
Репутация: 0
С нами: 5 лет 1 месяц

Сообщение #14 Alexell » 18.12.2016, 19:03

Пользователь ПК, не вникал в твою ошибку, но рискну предположить что у тебя может быть устаревшая версия PHP. Для 1.9.1 она пойдет, а для версии 2.0.4 нужен PHP не ниже 5.3.3
Alexell M
Мастер
Аватара
Возраст: 28
Откуда: Москва, Россия.
Репутация: 13
С нами: 8 лет 5 месяцев


Вернуться в Оффтопик